/*  This is part of Addibit.
    Copyright (C) 2013 Blagoy Genov

    Addibit is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __DD_NARROWING_BIT_SELECTION_STRATEGY_FACTORY__
#define __DD_NARROWING_BIT_SELECTION_STRATEGY_FACTORY__

#include "DDBitSelectionStrategyFactory.h"

namespace addibit {

    class NarrowingBitSelectionStrategyFactory : public BitSelectionStrategyFactory {

        public:
        NarrowingBitSelectionStrategyFactory ( const uint_fast16_t plane,
                                               const uint_fast16_t container ) :
            BitSelectionStrategyFactory( plane, container ) {}

        const BitSelectStrategy * createBitSelectionStrategy ( const RayWrapperContainer<RAY_TYPE> & pcontainer,
                                                               const RayWrapperContainer<RAY_TYPE> & ncontainer,
                                                               const BP_Tree_BitSelectionStrategy choice ) const {
            

        }
    };
}

#endif /* __DD_NARROWING_BIT_SELECTION_STRATEGY_FACTORY__ */
